const std = @import("std");
const vk = @import("vulkan");

pub const device_extensions = [_][*:0]const u8{vk.extensions.khr_swapchain.name};

pub const QueueFamilyIndices = struct {
    graphics_family: ?u32 = null,
    presentation_family: ?u32 = null,

    pub fn isValid(self: QueueFamilyIndices) bool {
        return self.graphics_family != null and self.presentation_family != null;
    }
};
